Accepting request 1205186 from server:mail

- Actually for all distros to use luajit and lua 5.1 ABI modules
  for the additional modules
- for non luajit enabled distros we also use lua 5.1 to build
  against as rspamd does not really support newer lua APIs
  
  https://github.com/rspamd/rspamd/issues/5163

- restore the overriden CMAKE_SHARED_LINKER_FLAGS but only remove
  the --undefined option as rspamd doesnt have its dependencies
  between parts of the code correct

- Simplify lua handling

- fix building the binaries with PIE 

- Update to 3.10.0

OBS-URL: https://build.opensuse.org/request/show/1205186
OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/rspamd?expand=0&rev=29
This commit is contained in:
Ana Guerrero 2024-10-02 19:34:38 +00:00 committed by Git OBS Bridge
commit edd9679ddb
4 changed files with 119 additions and 20 deletions

3
rspamd-3.10.0.tar.gz Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:528d7f8e2e6263378d043a41c4b1c5dbf1b3e54f3085619f68b04e283efa4a69
size 6008518

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:3c0e714389586b39def4fb809b0bff6436a1d605394ea3a591faff6e98b1ac2f
size 5980094

View File

@ -1,3 +1,98 @@
-------------------------------------------------------------------
Wed Oct 2 11:11:02 UTC 2024 - Marcus Rueckert <mrueckert@suse.de>
- Actually for all distros to use luajit and lua 5.1 ABI modules
for the additional modules
- for non luajit enabled distros we also use lua 5.1 to build
against as rspamd does not really support newer lua APIs
https://github.com/rspamd/rspamd/issues/5163
-------------------------------------------------------------------
Wed Oct 2 10:28:56 UTC 2024 - Marcus Rueckert <mrueckert@suse.de>
- restore the overriden CMAKE_SHARED_LINKER_FLAGS but only remove
the --undefined option as rspamd doesnt have its dependencies
between parts of the code correct
-------------------------------------------------------------------
Wed Oct 2 09:59:49 UTC 2024 - Marcus Rueckert <mrueckert@suse.de>
- Simplify lua handling
-------------------------------------------------------------------
Mon Sep 30 20:05:56 UTC 2024 - Marcus Rueckert <mrueckert@suse.de>
- fix building the binaries with PIE
-------------------------------------------------------------------
Mon Sep 30 19:40:24 UTC 2024 - Marcus Rueckert <mrueckert@suse.de>
- Update to 3.10.0
- [FIX] Arc regex to no longer match on dmarc= by
@JasonStephenson in #4960
- [Conf] Add SenderScore RPBL return codes by @moisseev in #5077
- Add name in statistic.conf by @dragoangel in #5079
- [Minor] Improve errors reporting for lua_redis by @vstakhov in
#5086
- [Feature] Allow to set negative group score limit via min_score
by @vstakhov in #5084
- [Fix] Fix Redis scripts uploading when Redis is not ready by
@vstakhov in #5091
- [Conf] Add SenderScore Reputationlist RBL by @moisseev in #5088
- [Test] Add tests for milter_headers by @fatalbanana in #5083
- [Project] Allow to change log tag from HTTP request by
@vstakhov in #5092
- [Rework] Resolve rdns in a separate function by @vstakhov in
#5093
- [Dep] Update doctest to 2.4.11 by @vstakhov in #5094
- Pull Request for OpenSSL 3.0 support by @left-try in #5072
- Remove NIST mode from cryptobox by @vstakhov in #5099
- Fix keypairs encryption/decryption by @vstakhov in #5100
- [Project] Allow manipulations with opaque UCL objects by
@vstakhov in #5104
- Provide OpenSSL 3.0 support for lua_rsa by @left-try in #5101
- Fix issue with broken HTTP message to learn endpoints by
@vstakhov in #5106
- [Test] Improve grow_factor tests by @fatalbanana in #5110
- Set expiration for history_redis to 5 days by default by
@dragoangel in #5115
- Fix for issue #5089 - learning of the empty tasks by @vstakhov
in #5118
- Update URIBL_RED/GREY scores by @slavkoja in #5119
- [Fix] Preserve the previous behaviour of RDNS_* checks by
@vstakhov in #5121
- [Test] Improve startup error handling by @fatalbanana in #5114
- [Fix] Unify lua symbols registration by @vstakhov in #5125
- [PATCH] ICAP: encode constructed path to be URL safe. by
@oliyks in #5111
- [Rework] Change the logic of skipping symbols by @vstakhov in
#5126
- Draft pull request for issue #5095 by @left-try in #5116
- Rework fuzzy symbols by @vstakhov in #5127
- [Fix] Another fix for Redis schema by @vstakhov in #5129
- [Feature] Allow differen modes for fuzzy rules by @vstakhov in
#5131
- Implement individual limits for fuzzy keys by @vstakhov in
#5135
- [Fix] Rework DMARC grammar to correctly handle spaces in values
by @spacefreak86 in #5139
- [Test] Upgrade linters by @moisseev in #5133
- [Feature] DMARC: Implement reporting.only_domains setting by
@fatalbanana in #5142
- Draft pull request for PR#5116 by @left-try in #5132
- Detect CPU using __builtin_cpu_supports where it's possible by
@vstakhov in #5140
- [Rework] Allow more flexible keypair encoding by @vstakhov in
#5144
- Add more build targets by @vstakhov in #5153
- Fixes for OpenSSL by @vstakhov in #5154
- [Fix] Iterate over dynamic keys in fuzzy storage by @vstakhov
in #5156
- [Rework] Remove control block support by @vstakhov in #5160
- MIME UTF8 support by @vstakhov in #5056
- [Fix] Fix DCC rep handling by @vstakhov in #5161
------------------------------------------------------------------- -------------------------------------------------------------------
Sun Sep 29 23:24:57 UTC 2024 - Marcus Rueckert <mrueckert@suse.de> Sun Sep 29 23:24:57 UTC 2024 - Marcus Rueckert <mrueckert@suse.de>

View File

@ -26,11 +26,15 @@
%bcond_with systemd %bcond_with systemd
%endif %endif
%global lua_abi_version 51
%ifarch %{ix86} x86_64 %ifarch %{ix86} x86_64
%if 0%{?suse_version} > 1500 %if 0%{?suse_version} > 1500
%bcond_without hyperscan %bcond_without hyperscan
%endif %endif
%if (0%{?suse_version} >= 1315) %if 0%{?suse_version} >= 1500
%bcond_without luajit
%else
%bcond_with luajit %bcond_with luajit
%endif %endif
%endif %endif
@ -56,7 +60,7 @@
%endif %endif
Name: rspamd Name: rspamd
Version: 3.9.1 Version: 3.10.0
Release: 0 Release: 0
Summary: Spam filtering system Summary: Spam filtering system
License: Apache-2.0 License: Apache-2.0
@ -88,8 +92,10 @@ BuildRequires: libicu-devel
%if %{with luajit} %if %{with luajit}
BuildRequires: luajit-devel BuildRequires: luajit-devel
%else %else
BuildRequires: lua-devel BuildRequires: lua%{?lua_abi_version}-devel
%endif %endif
BuildRequires: lua%{?lua_abi_version}-lpeg
Requires: lua%{?lua_abi_version}-lpeg
%if %{with openblas} %if %{with openblas}
BuildRequires: openblas-devel BuildRequires: openblas-devel
%endif %endif
@ -121,15 +127,6 @@ BuildRequires: pkgconfig(libunwind)
BuildRequires: pkgconfig(libxxhash) BuildRequires: pkgconfig(libxxhash)
BuildRequires: pkgconfig(libzstd) BuildRequires: pkgconfig(libzstd)
BuildRequires: pkgconfig(openblas) BuildRequires: pkgconfig(openblas)
%if 0%{?suse_version} >= 1550
Requires: lua54-lpeg
%else
%if 0%{?suse_version} >= 1500
Requires: lua53-lpeg
%else
Requires: lua51-LPeg
%endif
%endif
%if 0%{?with split_out_client} %if 0%{?with split_out_client}
Requires: rspamd-client = %{version} Requires: rspamd-client = %{version}
%else %else
@ -176,6 +173,12 @@ This package holds the client tools (rspamc and rspamadm)
%autosetup -p1 %autosetup -p1
%build %build
%if %{with luajit}
if ! [ "%{lua_abi_version}" = "$(pkg-config --variable=abiver luajit | tr -d '.')" ] ; then
echo "the lua_abi_version define and the abi version of luajit do not match. please investigate. exiting."
exit 1
fi
%endif
%if 0%{?force_gcc_version} %if 0%{?force_gcc_version}
export CC="gcc-%{?force_gcc_version}" export CC="gcc-%{?force_gcc_version}"
export CXX="g++-%{?force_gcc_version}" export CXX="g++-%{?force_gcc_version}"
@ -189,9 +192,8 @@ export CXX="g++-%{?force_gcc_version}"
%if 0%{suse_version} == 1315 %if 0%{suse_version} == 1315
-DCMAKE_USER_MAKE_RULES_OVERRIDE="" \ -DCMAKE_USER_MAKE_RULES_OVERRIDE="" \
%endif %endif
-DCMAKE_EXE_LINKER_FLAGS:STRING='' \ -DCMAKE_SHARED_LINKER_FLAGS='-flto=auto -Wl,--as-needed -Wl,-z,now' \
-DCMAKE_MODULE_LINKER_FLAGS:STRING='' \ -DCMAKE_EXE_LINKER_FLAGS="%{?build_ldflags} -Wl,--as-needed -Wl,-z,now -pie" \
-DCMAKE_SHARED_LINKER_FLAGS:STRING='' \
-DRSPAMD_LIBDIR=%{_libdir}/rspamd \ -DRSPAMD_LIBDIR=%{_libdir}/rspamd \
-DCONFDIR=%{_sysconfdir}/rspamd \ -DCONFDIR=%{_sysconfdir}/rspamd \
-DMANDIR=%{_mandir} \ -DMANDIR=%{_mandir} \
@ -304,7 +306,7 @@ find /var/lib/rspamd/ -type f -name '*.unser' -delete -print ||:
%service_add_pre %{name}.service %service_add_pre %{name}.service
%post %post
#systemd-tmpfiles --create /usr/lib/tmpfiles.d/%{name}.conf ||: #systemd-tmpfiles --create /usr/lib/tmpfiles.d/%%{name}.conf ||:
%service_add_post %{name}.service %service_add_post %{name}.service
%endif %endif
@ -617,11 +619,13 @@ find /var/lib/rspamd/ -type f -name '*.unser' -delete -print ||:
%{_datadir}/rspamd/lualib/rspamadm/neural_test.lua %{_datadir}/rspamd/lualib/rspamadm/neural_test.lua
%{_datadir}/rspamd/lualib/rspamadm/dkim_keygen.lua %{_datadir}/rspamd/lualib/rspamadm/dkim_keygen.lua
%{_datadir}/rspamd/lualib/rspamadm/fuzzy_ping.lua %{_datadir}/rspamd/lualib/rspamadm/fuzzy_ping.lua
%{_datadir}/rspamd/lualib/rspamadm/secretbox.lua
%dir %{_datadir}/rspamd/lualib/plugins %dir %{_datadir}/rspamd/lualib/plugins
%{_datadir}/rspamd/lualib/plugins/dmarc.lua %{_datadir}/rspamd/lualib/plugins/dmarc.lua
%{_datadir}/rspamd/lualib/plugins/neural.lua %{_datadir}/rspamd/lualib/plugins/neural.lua
%{_datadir}/rspamd/lualib/plugins/rbl.lua %{_datadir}/rspamd/lualib/plugins/rbl.lua
%{_datadir}/rspamd/lualib/plugins/ratelimit.lua
%dir %{_datadir}/rspamd/lualib/redis_scripts/ %dir %{_datadir}/rspamd/lualib/redis_scripts/
%{_datadir}/rspamd/lualib/redis_scripts/neural_maybe_invalidate.lua %{_datadir}/rspamd/lualib/redis_scripts/neural_maybe_invalidate.lua